Page MenuHomePhabricator

user who creates a new collection is shown an overlay showing them to click on the hamburger menu to visit their collections.
Closed, ResolvedPublic2 Story Points

Description

This is a short-term fix for the issue explained here: T93165

Points at hamburger main menu button
"Find your collections in the main menu"

Event Timeline

JKatzWMF created this task.Mar 23 2015, 6:39 PM
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a project: Gather.
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2015, 6:39 PM
Jdlrobson moved this task from Needs triage to Product triage on the Gather board.Mar 24 2015, 9:47 PM

@MSyed, we need a mock of this.

JKatzWMF set Security to None.

@MSyed need a mock here

Jdlrobson updated the task description. (Show Details)Mar 30 2015, 6:21 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson edited a custom field.

Attached the mock here.

The overlay appears, and once the user clicks on the menu item, a "new" icon appears next to collections button in menu. I have also added the new tag icon as svg here. We can render the "new!" as plain next on top of it.

I think Baha might have implemented this already for WikiGrok some time ago.


Jdlrobson moved this task from Product triage to In sprint on the Gather board.Apr 2 2015, 4:01 PM
Jdlrobson claimed this task.Apr 6 2015, 9:00 PM
Jdlrobson moved this task from Ready for dev to In development on the Gather Sprint Enwiki board.

@bmansurov is the new icon reusable? Is it in MobileFrontend? Anything you can point me at?

@MSyed @JKatzWMF can you clarify when this shows? Is it after you create your first collection?

Change 202265 had a related patch set uploaded (by Jdlrobson):
Point at hamburger icon when a collection has been setup.

https://gerrit.wikimedia.org/r/202265

Change 202265 merged by jenkins-bot:
Point at hamburger icon when a collection has been setup.

https://gerrit.wikimedia.org/r/202265

JKatzWMF closed this task as Resolved.Apr 13 2015, 5:27 PM